
Foreman - Bug #34644

Warning: Your Gemfile lists the gem puma (~> 5.1) more than once

03/18/2022 10:38 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee:    

Category: Development tools   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

This warning shows up in development. In production it doesn't because the file bundler.d/test.rb isn't shipped.

Associated revisions

Revision f9cbe74d - 03/30/2022 10:06 AM - Ewoud Kohl van Wijngaarden

Remove duplicate puma gem declaration

This duplication doesn't show up in production, but in development and

testing it does. By declaring it in service.rb for both groups it will

still be included in both production setups and testing.

According to 36d17b1743569158e1a68d323e7222fa04168c0f puma is needed in

testing to run Capybara tests.

History

#1 - 11/02/2022 01:34 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Closed

This was fixed in f9cbe74d09c1244821553ef86aecc8e52cab9150 but I failed to use `Fixes #34644`.
